Support » Plugin: WooCommerce » Site is down after trying to upgrade Woocommerce 2.2

  • Resolved duvindesign

    (@duvindesign)


    Hi,

    I made sure to backup my hosting with Go daddy before trying to update to the new Woocommerce 2.2 but when I did it this message appeared and now my site is completely down and I can’t login to the admin…..

    Fatal error: Call to a member function get_settings() on a non-object in /home/content/60/11740360/html/wp-content/plugins/woocommerce/includes/class-wc-install.php on line 291

    I tried restoring the site but it still won’t work.

    Please get back to me soon! Thanks.

    https://wordpress.org/plugins/woocommerce/

Viewing 15 replies - 1 through 15 (of 42 total)
  • I have the same error. However I can view the front end…the admin is blank.

    Plugin Author Mike Jolley

    (@mikejolley)

    Hey,

    You may want to try disabling all other WP plugins prior to running the update, in case one of them is loading it’s settings page in an unexpected way.

    Short of a file being missing, that would be the only explanation I can think of.

    Found it. WooCommerce Constant Contact was the culprit. I disabled it, dean the update and re-enabled. Good to go.

    Thanks Mike!

    Plugin Author Claudio Sanches

    (@claudiosanches)

    @ratputin thank you for finding out who is the culprit.

    Plugin Author Claudio Sanches

    (@claudiosanches)

    Please do not upgrade just the WooCommerce.
    Update all plugins at the same time to avoid these problems:
    http://docs.woothemes.com/document/upgrade-instructions/

    Plugin Author Claudio Sanches

    (@claudiosanches)

    Fixed in WooCommerce 2.2.1.

    Hi.

    I have the same problem as duvindesign, after updating woocommerce earlier today no access to admin control panel.

    In another post someone recommended to rename the plugins folder in wordpress, then login, rename the folder back, and from the control panel turn plugins on one by one.

    My site is hosted on a webhotel and I have FTP access, so I tryed that.
    But when I try to activate the woocommerce plugin (the most important of them all) I get a error saying: plugin can not be activated because of critical error.

    So now i’m a bit stuck, is there a way to downgrade to the earlier working version, or even better a fix for the current problem ?

    Any help will be appreciated.
    Please be specific , programming is not my strong side.

    Regards.

    Plugin Author Mike Jolley

    (@mikejolley)

    @arduinotech As above, another plugin (not updated for 2.2 yet) may have caused this. There is a workaround in 2.2.1

    Download 2.2.1 and install by uploading the new version to wp-content/plugins/. Use FTP to do this.

    I just tried the 2.2.1 update, but it was the same, plugin can not be activated because of critical error.
    I tried to activate it with all my other plugins activated and with all the other plugins deactivated, but no go.

    Plugin Author Mike Jolley

    (@mikejolley)

    Can you repeat with the theme set to twenty twelve too?

    If you can, try to find your server error logs and see what the fatal error was – that would be the most help.

    I had the same problem – 500 server error after updating to Woocommerce 2.2 on WordPress 3.9. All my plugins were up-to-date I stress.

    I solved it by:

    Using ftp or cpanel folder access delete the Wocommerce folder (wp-content/plugins/woocommerce)

    Download the latest version of Woocommerce (at the time v2.2.1), extract and upload to the plugins folder.

    Hey presto, problem solved.

    Hope this helps someone.

    Plugin Author Mike Jolley

    (@mikejolley)

    @timway Could you look in your server logs and see what the fatal error was? Would be much appreciated!

    I tried manually updating, deleted the “old” plugin and FTP the new woocommerce 2.2.1 to the plugins folder, but same result.

    From the Webserver error log:
    PHP Warning: is_dir() [function.is-dir]: open_basedir restriction in effect. File(/) is not within the allowed path(s): (xxxxxxxxxxx/phpbin/PEAR) in /xxxxxxxxxxx/wp-includes/functions.php on line 1497, referer: http://arduinotech.dk/wp-admin/plugins.php?error=true&plugin=woocommerce%2Fwoocommerce.php&_error_nonce=5abeb2d880

    Plugin Author Claudio Sanches

    (@claudiosanches)

    ArduinoTech, please try to set this in your wp-config.php before:

    define( 'WC_LOG_DIR', dirname( __FILE__ ) . '/wc-logs/' );
    

    And then try to activate the WooCommerce.

    updated to 2.2.1 and nothing blank screen, so i removed all plugins via ftp apart from woocommerce still nothing, i even installed word press on a fresh new domain added woocommerce 2.2.1 still wont activate. lucky the site i was using it on wasn’t live as it was still in development.

Viewing 15 replies - 1 through 15 (of 42 total)
  • The topic ‘Site is down after trying to upgrade Woocommerce 2.2’ is closed to new replies.